import type { TdDateRangePickerProps } from '../type';
export declare const PARTIAL_MAP: {
    first: string;
    second: string;
};
export default function useRangeValue(props: TdDateRangePickerProps): {
    year: import("@vue/composition-api").Ref<number[]>;
    month: import("@vue/composition-api").Ref<number[]>;
    value: import("@vue/composition-api").Ref<import("../type").DateRangeValue>;
    time: import("@vue/composition-api").Ref<string[]>;
    isFirstValueSelected: import("@vue/composition-api").Ref<boolean>;
    cacheValue: import("@vue/composition-api").Ref<string | number | string[] | number[] | Date | Date[]>;
    onChange: import("../../hooks/useVModel").ChangeHandler<import("../type").DateRangeValue, [context: {
        dayjsValue?: import("dayjs").Dayjs[];
        trigger?: import("../type").DatePickerTriggerSource;
    }]>;
};
